package cpcns.ldanganzhengli.lwenjian.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.common.controller.commonController;
import cpcns.ldanganzhengli.lanjuan.service.ILDAnJuanService;
import cpcns.ldanganzhengli.ldanganhe.model.LDDangAnHe;
import cpcns.ldanganzhengli.ldanganhe.service.ILDDangAnHeService;
import cpcns.ldanganzhengli.lwenjian.model.LDWenJian;
import cpcns.ldanganzhengli.lwenjian.service.ILDWenJianService;
import cpcns.utils.CommStatic;
import cpcns.utils.Json;
import cpcns.utils.PagerVO;
import java.io.IOException;
import java.text.ParseException;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/LDWenJian"})
public class LDWenJianController extends commonController {
  @Autowired
  private ILDWenJianService LDWenJianService;
  
  @Autowired
  private ILDAnJuanService LDAnJuanService;
  
  @Autowired
  private ILDDangAnHeService LDDangAnHeService;
  
  @RequestMapping({"/query.do"})
  public String execute(HttpServletRequest request) throws Exception {
    String menLei = getRequest().getParameter("menLei");
    getRequest().setAttribute("menLei", menLei);
    return "ldanganzhengli/lwenjian/LD_WenJian_list";
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response, Model model) throws ParseException {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String ids = request.getParameter("keyWordResult");
    if (hangBiaoShi != null && !"".equals(hangBiaoShi)) {
      LDWenJian cla = (LDWenJian)this.LDWenJianService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      model.addAttribute("DWenJian", cla);
      model.addAttribute("OFDType", AppConfiguration.getConfigValue("OFDType"));
      int gdlx = cla.getGuiDangLeiXing().intValue();
      int glbs = cla.getGuanLianBiaoShi().intValue();
      if (glbs != 0)
        if (gdlx == 2) {
          LDDangAnHe dah = (LDDangAnHe)this.LDDangAnHeService.getById(Integer.valueOf(glbs));
          model.addAttribute("rongQiDangHao", dah.getDangHao());
        } else {
          String ajdh = cla.getDangHao();
          String temp = "";
          if (StringUtils.isNoneBlank(new CharSequence[] { ajdh }) && ajdh.contains("-"))
            temp = ajdh.substring(0, ajdh.lastIndexOf("-")); 
          model.addAttribute("rongQiDangHao", temp);
        }  
    } 
    return "ldanganzhengli/lwenjian/LD_WenJian_edit";
  }
  
  @RequestMapping({"/getAll.do"})
  public String getAll(HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
    try {
      Enumeration<?> rnames = getRequest().getParameterNames();
      JSONObject jsonObject = new JSONObject();
      for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
        String thisName = er.nextElement().toString();
        String thisValue = getRequest().getParameter(thisName);
        jsonObject.put(thisName, thisValue);
      } 
      User user = getCurrentUser();
      StringBuffer sqlWhere = new StringBuffer();
      Iterator<String> iterator = jsonObject.keys();
      StringBuffer sqlSearch = new StringBuffer();
      sqlSearch.append("  1=1 ");
      while (iterator.hasNext()) {
        String key = iterator.next();
        String value = jsonObject.getString(key);
        if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows")) {
          if (key.contains("begin")) {
            key = key.substring(0, key.indexOf("begin"));
            sqlWhere.append(" and ").append(
                String.valueOf(key) + " >= " + "to_date('" + value + "','yyyy-mm-dd')");
            continue;
          } 
          if (key.contains("end")) {
            key = key.substring(0, key.indexOf("end"));
            sqlWhere.append(" and ").append(
                String.valueOf(key) + " <= " + "to_date('" + value + "','yyyy-mm-dd')");
            continue;
          } 
          if (!"server".equals(key) && !"table".equals(key) && !"orderBy".equals(key) && !"order".equals(key) && !"sort".equals(key) && !"type".equals(key) && !"qwjs".equals(key)) {
            if (!key.contains("like")) {
              sqlWhere.append(" and ").append(key).append(" = '").append(value).append("'");
              continue;
            } 
            key = key.substring(0, key.indexOf("like"));
            if ("biaoTi".equals(key)) {
              if (!"true".equals(getRequest().getParameter("qwjs")))
                sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value + "%'"); 
              continue;
            } 
            sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value + "%'");
          } 
        } 
      } 
      sqlWhere.append(" and baoGuanQiXian !='D10'");
      if (sqlWhere.length() > 0)
        sqlSearch.append(sqlWhere.toString()); 
      String page = request.getParameter("page");
      String rows = request.getParameter("rows");
      model.addAttribute("page", page);
      model.addAttribute("rows", rows);
      int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
      int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
      int start = (intPage - 1) * number;
      String ml = (request.getParameter("menLei") == null) ? request.getParameter("menLeilike") : request.getParameter("menLei");
      StringBuffer sql = (new StringBuffer("select hangBiaoShi,xuHao,guanLianBiaoShi,yeShu,fenShu,biaoTi,dangHao,wenHao,miJi,chengWenRiQi,liJuanDanWeiMingCheng,liJuanDanWeiBiaoShi,guiDangBuMenMingCheng,guiDangBuMenBiaoShi,baoGuanQiXian,guiDangNianDu,guiDangLeiXing,youYuanWen,wenZhong,fenLeiMingCheng,zhuangTai,daoRuPiCi from "))
        .append(CommStatic.getMenLeiToBiaoMing(ml)).append(" where ");
      PagerVO pagevo = this.LDWenJianService.getAll(start, number, sql.toString(), sqlSearch.toString(), CommStatic.getOrderBy(request, "hangBiaoShi"), CommStatic.getMenLeiToBiaoMing(ml));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
      jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("XUHAO", "xuHao")
        .replaceAll("GUANLIANBIAOSHI", "guanLianBiaoShi").replaceAll("YESHU", "yeShu")
        .replaceAll("BIAOTI", "biaoTi").replaceAll("DANGHAO", "dangHao").replaceAll("WENHAO", "wenHao")
        .replaceAll("MIJI", "miJi").replaceAll("CHENGWENRIQI", "chengWenRiQi").replaceAll("LIYUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng")
        .replaceAll("LIJUANDANWEIBIAOSHI", "liJuanDanWeiBiaoShi").replaceAll("GUIDANGBUMENMINGCHENG", "guiDangBuMenMingCheng")
        .replaceAll("GUIDANGBUMENBIAOSHI", "guiDangBuMenBiaoShi").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("FENSHU", "fenShu")
        .replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("GUIDANGLEIXING", "guiDangLeiXing").replaceAll("YOUYUANWEN", "youYuanWen")
        .replaceAll("WENZHONG", "wenZhong").replaceAll("FENLEIMINGCHENG", "fenLeiMingCheng").replaceAll("ZHUANGTAI", "zhuangTai").replaceAll("DAORUPICI", "daoRuPiCi");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/openDat.do"})
  @ResponseBody
  public String returnJos(HttpServletRequest request, HttpServletResponse response, Model model) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    Map<String, Object> resultMap = new HashMap<>();
    resultMap.put("filePath", "");
    String jsonString = "";
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      LDWenJian cla = (LDWenJian)this.LDWenJianService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      resultMap.put("filePath", cla);
    } 
    jsonString = Json.Map2Json(resultMap);
    return jsonString;
  }
}
